defmodule WykopAPI.Entry do
  @derive [Poison.Encoder]
  defstruct [
    :app, :author,
    :author_avatar, :author_avatar_big, :author_avatar_lo, :author_avatar_med,
    :author_group, :author_sex,
    :blocked, :body, :can_comment, :comment_count, :comments,
    :date, :deleted, :embeded, :id, :receiver, :receiver_avatar,
    :receiver_avatar_big, :receiver_avatar_lo, :receiver_avatar_med,
    :receiver_group, :receiver_sex, :source, :type, :url, :user_favorite,
    :user_vote, :violation_url, :vote_count, :voters
  ]

  @doc """
  Non-official
  Returns list of tags for single entry
  """
  def tags(entry) do
    Regex.scan(~r/"#([\w\d]+)"/, entry.body)
    |> Enum.map(fn [_, tag] -> tag end)
  end
end
