defmodule WykopAPI.Tag do

  @api_url WykopAPI.get_api_url <> "tag/"

  defmodule MyWykop do
    @derive [Poison.Encoder]
    defstruct [
      app: "",
      author: "",
      body: "",
      id: 0,
      type: "",
      url: ""
    ]

  end

  @doc """
  Returns 25 new entries for tag `name`.
  """
  def index(name, page \\ 0) do
    map = %{
      page: page
    }
    WykopAPI.get!(@api_url <> "index/" <> name
      <> "/" <> WykopAPI.param_api(map))
    |> Poison.decode!(as: %{
      "items": [%MyWykop{}]
      })
  end
end
