defmodule WykopAPI.Mixfile do
  use Mix.Project

  def project do
    [app: :wykop_api,
     version: "0.1.0",
     package: package,
     description: "Library for Wykop API.",
     elixir: "~> 1.1",
     build_embedded: Mix.env == :prod,
     start_permanent: Mix.env == :prod,
     deps: deps]
  end

  # Configuration for the OTP application
  #
  # Type "mix help compile.app" for more information
  def application do
    [applications: [:logger, :httpoison]]
  end

  def package do
    [
      maintainers: ["Remigiusz Jackowski"],
      licenses: ["CC0"],
      links: %{
        "GitHub" => "https://github.com/remiq/wykop_api_elixir"
      }
    ]
  end

  # Dependencies can be Hex packages:
  #
  #   {:mydep, "~> 0.3.0"}
  #
  # Or git/path repositories:
  #
  #   {:mydep, git: "https://github.com/elixir-lang/mydep.git", tag: "0.1.0"}
  #
  # Type "mix help deps" for more examples and options
  defp deps do
    [
      {:httpoison, "~> 0.9"},
      {:poison, "~> 2.2"}
    ]
  end
end
